@font-face {
    font-family: 'Lineal-Heavy';
    src: url(fonts/Lineal-Heavy.ttf);
}

@font-face {
    font-family: 'Lineal-Regular';
    src: url(fonts/Lineal-Regular.ttf);
}

@font-face {
    font-family: 'Lineal-Thin';
    src: url(fonts/Lineal-Thin.ttf);
}

.textDiv::selection {
    background-color: white;
    font-family: 'Lineal-Heavy';
}

body {
    width: 100%;
    height: 100%;
    font-family: inter;
    overflow: hidden;
}

#paper1 {
    position: absolute;
    top: -90vh;
    right: 10vw;
    width: 80vw;
    height: 100vh;
    background-color: white;
    border: 1px solid rgb(129, 129, 129);
    z-index: 2;
    transition: none;
    display: flex;
    user-select: none;
    align-items: flex-end;
    justify-content: center;
    font-family: 'Lineal-Regular';
    font-size: 2vw;
    cursor: grab;
}

canvas {
    display: block;
    position: absolute;
    top: 0px;
    left: 0px;
    user-select: none;
}

.slider {
    position: absolute;
    top: 0px;
    right: 0px;
    width: 36vw;
    height: 100vh;
    /* background-color: rgb(155, 168, 30); */
    /* z-index: 100; */
    transition: 0.5s ease-in-out;
    /* display: none; */
}

.paper {
    display: block;
    position: absolute;
}

#slider1 {
    z-index: 2;
    background-color: rgb(129, 129, 129);
}

#slider1>.button {
    top: 36vh;
    background-color: rgb(129, 129, 129);
}

#slider2 {
    z-index: 3;
    background-color: rgb(147, 147, 147);
}

#slider2>.button {
    top: 24vh;
    background-color: rgb(147, 147, 147);
}

#slider3 {
    z-index: 4;
    cursor: text;
    background-color: rgb(175, 175, 175);
}

#slider3>.button {
    top: 12vh;
    background-color: rgb(175, 175, 175);
}

.button {
    position: absolute;
    /* top: 12vh; */
    left: -3vw;
    width: 3vw;
    height: 12vh;
    /* background-color: rgb(155, 168, 30); */
    z-index: 5;
    cursor: pointer;
}

#closeButton {
    position: absolute;
    top: 48vh;
    left: -3vw;
    width: 3vw;
    height: 3vw;
    background-color: black;
    z-index: 5;
    cursor: pointer;
}

.textDiv {
    position: absolute;
    top: 6vw;
    left: 6vw;
    width: 24vw;
    bottom: 6vw;
    overflow-y: auto;
    font-family: 'Lineal-Regular';
}

.toolDiv {
    width: 6vw;
    height: 6vw;
    margin: 1vw;
    background-color: white;
    border-radius: 25px;
}

.ColorInputDiv {
    width: 6vw;
    height: 6vw;
    margin: 1vw;
    background-color: white;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    font-family: 'Lineal-regular';
    font-size: 1vw;
    cursor: pointer;
}

.colorPicker {
    position: relative;
    width: 6vw;
    left: 0px;
    height: 50%;
    background-color: none;
    border: none;
    outline: none;
}

#TOOLstick {
    background-color: rgb(129, 129, 129);
}

.toolDivContainer {
    position: absolute;
    top: 6vw;
    left: 6vw;
    width: 24vw;
    /* bottom: 6vw; */
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
    justify-content: center;
    flex-direction: row;
}

.textToolDivContainer {
    position: absolute;
    bottom: 6vw;
    left: 6vw;
    width: 24vw;
    /* bottom: 6vw; */
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
    justify-content: space-between;
    flex-direction: row;
}

#TOOLstickOption {
    position: absolute;
    top: 20vw;
    left: 6vw;
    width: 24vw;
    /* bottom: 6vw; */
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
    justify-content: center;
    flex-direction: row;
}

#TOOLcombOption>* {
    margin-bottom: 1vw;
}

#TOOLcombOption {
    position: absolute;
    top: 20vw;
    left: 6vw;
    width: 24vw;
    /* bottom: 6vw; */
    display: none;
    flex-wrap: wrap;
    align-content: flex-start;
    justify-content: center;
    flex-direction: row;
}

#TOOLinkOption>* {
    margin-bottom: 2vw;
}

#TOOLinkOption {
    position: absolute;
    top: 20vw;
    left: 6vw;
    width: 24vw;
    /* bottom: 6vw; */
    display: none;
    flex-wrap: wrap;
    align-content: flex-start;
    justify-content: center;
    flex-direction: row;
}

#TOOLclear {
    width: 17vw;
    height: 3vw;
    margin: 1vw;
    background-color: white;
    border-radius: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Lineal-regular';
    font-size: 1.5vw;
    cursor: pointer;
}

.TOOLtitle {
    width: 24vw;
    height: 3vw;
    margin: 1vw;
    display: flex;
    /* justify-content: center; */
    align-items: center;
    font-family: 'Lineal-Heavy';
    font-size: 1.5vw;
}

#TOOLclear:hover {
    background-color: rgb(175, 175, 175);
}

.SliderContainer {
    display: flex;
    /* justify-content: center; */
    align-items: center;
    font-family: 'Lineal-regular';
    font-size: 1.5vw;
}

.SliderInput {
    -webkit-appearance: none;
    width: 100%;
    height: 1vw;
    background: rgb(129, 129, 129);
    border-radius: 10px;
    outline: none;
}

.SliderInput::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 1vw;
    height: 1vw;
    background: white;
    border-radius: 100%;
    cursor: pointer;
}

#printBt {
    position: absolute;
    top: 3vw;
    left: 8vw;
    width: 17vw;
    height: 3vw;
    margin: 1vw;
    background-color: white;
    border-radius: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Lineal-regular';
    font-size: 1.5vw;
    cursor: pointer;
}

#printBt:hover {
    background-color: rgb(175, 175, 175);
}

#imgDivContainer {
    position: absolute;
    top: 12vw;
    left: 6vw;
    width: 24vw;
    bottom: 6vw;
    overflow-y: auto;
    font-family: 'Lineal-Regular';
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
    justify-content: center;
    flex-direction: row;
}

/* .pageDiv {
    width: 8.50vw;
    height: 12vw;
    margin-bottom: 1vw;
    background-color: white;
    border: 1px solid rgb(129, 129, 129);
}

.pageDiv:first-child {
    background-color: rgb(129, 129, 129);
}

.pageDiv:last-child {
    background-color: rgb(129, 129, 129);
} */


.textDiv::-webkit-scrollbar {
    width: 0.6vw;
}

.textDiv::-webkit-scrollbar-track {
    background: none;
}

.textDiv::-webkit-scrollbar-thumb {
    background: white;
    border-radius: 6px;
}

.textDiv::-webkit-scrollbar-thumb:hover {
    cursor: pointer;
}

#selectionDiv {
    position: absolute;
    height: auto;
    width: auto;
    opacity: 0.5;
    z-index: 5;
    cursor: grabbing;
    display: block;
}

#imgDivContainer::-webkit-scrollbar {
    width: 0.6vw;
}

#imgDivContainer::-webkit-scrollbar-track {
    background: none;
}

#imgDivContainer::-webkit-scrollbar-thumb {
    background: white;
    border-radius: 6px;
}

#imgDivContainer::-webkit-scrollbar-thumb:hover {
    cursor: pointer;
}

.screenCanvaspicture {
    position: relative;
    width: 20vw;
    top: 3.55vw;
    margin-bottom: 2vw;
}

/* .screenCanvaspicture:hover {
    border: 1px solid rgb(175, 175, 175);
}

.printIMG {
    border: 1px solid rgb(147, 147, 147);
} */